devtools

Tools to Make Developing R Packages Easier

Collection of package development tools.

Total

7,135,709

Last month

404,479

Last week

91,781

Average per day

13,483

Daily downloads

Total downloads

Description file content

Package
devtools
Title
Tools to Make Developing R Packages Easier
Version
2.0.1
Description
Collection of package development tools.
License
GPL (>= 2)
URL
BugReports
https://github.com/r-lib/devtools/issues
Depends
R (>= 3.0.2)
Imports
callr, cli, digest, git2r (>= 0.23.0), httr (>= 0.4), jsonlite, memoise (>= 1.0.0), pkgbuild (>= 1.0.2), pkgload (>= 1.0.1), rcmdcheck (>= 1.3.0), remotes (>= 2.0.0), rstudioapi (>= 0.6.0.9000), sessioninfo, stats, tools, usethis (>= 1.4.0), utils, withr
Suggests
BiocInstaller, BiocManager, bitops, covr (>= 3.2.0), crayon, curl (>= 0.9), evaluate, foghorn (>= 1.0.1), gmailr (> 0.7.0), knitr, lintr (>= 0.2.1), mockery, pingr, MASS, pkgdown, Rcpp (>= 0.10.0), rhub, rmarkdown, roxygen2 (>= 6.1.0), rversions, spelling (>= 1.1), testthat (>= 1.0.2), whisker
VignetteBuilder
knitr
Encoding
UTF-8
RoxygenNote
6.1.0
NeedsCompilation
no
Packaged
2018-10-26 20:28:58 UTC; jhester
Author
Hadley Wickham [aut], Jim Hester [aut, cre], Winston Chang [aut], RStudio [cph], R Core team [ctb] (Some namespace and vignette code extracted from base R)
Maintainer
Jim Hester
Repository
CRAN
Date/Publication
2018-10-26 21:10:41 UTC

install.packages('devtools')

2.0.1

21 days ago

https://github.com/r-lib/devtools

Jim Hester

GPL (>= 2)

Depends on

R (>= 3.0.2)

Imports

callr, cli, digest, git2r (>= 0.23.0), httr (>= 0.4), jsonlite, memoise (>= 1.0.0), pkgbuild (>= 1.0.2), pkgload (>= 1.0.1), rcmdcheck (>= 1.3.0), remotes (>= 2.0.0), rstudioapi (>= 0.6.0.9000), sessioninfo, stats, tools, usethis (>= 1.4.0), utils, withr

Suggests

BiocInstaller, BiocManager, bitops, covr (>= 3.2.0), crayon, curl (>= 0.9), evaluate, foghorn (>= 1.0.1), gmailr (> 0.7.0), knitr, lintr (>= 0.2.1), mockery, pingr, MASS, pkgdown, Rcpp (>= 0.10.0), rhub, rmarkdown, roxygen2 (>= 6.1.0), rversions, spelling (>= 1.1), testthat (>= 1.0.2), whisker

Discussions